Bug 908237 - EAP 6.1.0.DR3 won't start on openjdk 7 on fedora
EAP 6.1.0.DR3 won't start on openjdk 7 on fedora
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Build (Show other bugs)
6.1.0
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Deepak Bhole
:
Depends On:
Blocks: ovirt-3.2-release
  Show dependency treegraph
 
Reported: 2013-02-06 03:46 EST by Jitka Kozana
Modified: 2013-06-04 00:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-04 00:04:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jitka Kozana 2013-02-06 03:46:26 EST
Description of problem:
EAP is not starting with openjdk1.7.0_09. 
This is a community build and should start with openjdk on fedora.

Version-Release number of selected component (if applicable):
EAP 6.1.0.DR3
$ java -version
java version "1.7.0_09-icedtea"
OpenJDK Runtime Environment (fedora-2.3.5.fc16-x86_64)
OpenJDK 64-Bit Server VM (build 23.2-b09, mixed mode)
$ cat /etc/redhat-release 
Fedora release 16 (Verne) (also seen on Fedora 17)
$ uname -a
Linux jkudrnac 3.6.11-1.fc16.x86_64 #1 SMP Mon Dec 17 21:29:15 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:
everytime

Steps to Reproduce:
$ ./standalone.ha 
  
Actual results:
$ ./standalone.sh 
=========================================================================

  JBoss Bootstrap Environment

  JBOSS_HOME: /home/jkudrnac/jboss/jboss-eap-6.1.0.DR3/jboss-eap-6.1

  JAVA: /usr/lib/jvm/java-openjdk/bin/java

  JAVA_OPTS:  -server -XX:+UseCompressedOops -Xms1303m -Xmx1303m -XX:MaxPermSize=256m -Djava.net.preferIPv4Stack=true -Djboss.modules.system.pkgs=org.jboss.byteman -Djava.awt.headless=true -Djboss.server.default.config=standalone.xml

=========================================================================

java.lang.IllegalStateException: The LogManager was not properly installed (you must set the "java.util.logging.manager" system property to "org.jboss.logmanager.LogManager")
	at org.jboss.logmanager.Logger.getLogger(Logger.java:61)
	at org.jboss.as.server.Main.main(Main.java:79)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at org.jboss.modules.Module.run(Module.java:270)
	at org.jboss.modules.Main.main(Main.java:294)


Expected results:
EAP will start without any errors.

Additional info:
Comment 4 Jitka Kozana 2013-02-14 03:12:26 EST
Verified during 6.1.0.DR4., standalone server will now start on openjdk.
Comment 5 Arun Babu Neelicattu 2013-06-04 00:04:03 EDT
Closing this issue. This was fixed in EAP 6.1.0 GA.

Note You need to log in before you can comment on or make changes to this bug.